Number authentication API
Last updated:2026-01-26
Number authentication API
Functional description
Submit cell phone number and token, verify consistency and identify the business risk score of the cell phone number.
Call Address
Android and iOS Use
POST https://api.verification.jpush.cn/v2/web/verify
Web Use
POST https://api.verification.jpush.cn/v2/web/h5/verify
Call Authentication
See for more information REST API Overview Authentication Note.
Example request
Here. POST https://api.verification.jpush.cn/v2/web/verify Example:
curl --insecure -X POST -v https://api.verification.jpush.cn/v2/web/verify -H "Content-Type: application/json" -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1" -d '{
"token": "STsid0000001542695429579Ob28vB7b0cYTI9w0GGZrv8ujUu05qZvw",
"phone": 15813554612,
"exID": "1234566",
"ip": "127.0.0.1"
}'
curl --insecure -X POST -v https://api.verification.jpush.cn/v2/web/verify -H "Content-Type: application/json" -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1" -d '{
"token": "STsid0000001542695429579Ob28vB7b0cYTI9w0GGZrv8ujUu05qZvw",
"phone": 15813554612,
"exID": "1234566",
"ip": "127.0.0.1"
}'
This code block is shown in the floating window
** Request parameters**
| Keyword | Type | Options | Meaning |
|---|---|---|---|
| token | String | Required | CarrierIt's off. token |
| phone | String | Required | Cell phone number pending authentication |
| ip | String | Optional | sdk peerip |
| exID | String | Optional | Developer custom id, not required |
Response Example
Request succeeded
{
"id": 117270465679982592,
"code": 9000,
"content": "verify consistent",
"exID": "1234566",
"score": 0,
"riskCheck": {
"code": 0,
"content": "success",
"score": 0,
"tags": [],
"detail": {}
}
}
{
"id": 117270465679982592,
"code": 9000,
"content": "verify consistent",
"exID": "1234566",
"score": 0,
"riskCheck": {
"code": 0,
"content": "success",
"score": 0,
"tags": [],
"detail": {}
}
}
This code block is shown in the floating window
** Request failed**
{
"code": 9011,
"content": "auth failed"
}
{
"code": 9011,
"content": "auth failed"
}
This code block is shown in the floating window
** Response parameters**
| Keyword | Type | Meaning |
|---|---|---|
| id | Long | Drift. Could be empty if the request goes wrong. |
| exID | String | Developer custom id if request is empty |
| score | Integer | Risk rating (subsequent deletion, recommended) riskCheck.score) |
| code | Integer | Return Code |
| content | String | Response Code Reference |
| riskCheck | Object | Risk rating - new structure |
| riskCheck.code | Integer | Wind Return Code |
| riskCheck.content | String | Wind controlResponse Code Reference |
| riskCheck.score | Integer | Risk rating |
| riskCheck.tags | String[] | Risk Tag Pool |
| riskCheck.detail | Object | Risk Tag Details |
| riskCheck.detail.[tag] | Object | Risk labels for details |
| riskCheck.detail.[tag].score | Integer | Risk label corresponding risk rating |
** Back score Annotations**
- score The field indicates the risk of the current number, the higher the score, the greater the risk, and the value range is: [0,] 900]。
- Based on Jiguang The experience of the security certification team.score The operational meaning of field values is as follows (for information purposes only, it can be adapted from the actual scene):
| Value | Risk level | MeaningDescription |
|---|---|---|
| 0 | Low risk | Normal release |
| 300 | Medium risk | Markable observation of user follow-up before further decision-making |
| 600 | Medium and high risk | Further security clearance or direct operational restrictions |
| 900 | High risk | Direct operational constraints |
** Back riskCheck.tags Annotations**
- riskCheck.tags Field returns the risk label set. Please refer to the detailed label descriptionQuery Business Wind Control API Document。
Was this document helpful?